<?php

if (!defined("ABSPATH")) { 
    exit; 
}


if (!class_exists("BindCommerce_DB")) {

    /**
     * 
     * The BindCommerce DB main class
     * 
     * @since 1.0.0
     * 
     */
    class BindCommerce_DB extends BindCommerce {

        /**
         *  Return results from query
         * 
         * @since 1.0.0
         * 
         */
        public static function get_results( $query ){    
            global $wpdb;
            return $wpdb->get_results( $wpdb->prepare( $query ) );        
        }   

        /**
         *  Returns only a result from query
         * 
         * @since 1.0.0
         * 
         */
        public static function get_result( $query ){  
            global $wpdb;  
            return $wpdb->get_var($query);         
        }

    }

}


?>