<?php

if (!defined("ABSPATH")) {
    exit;
}

$sql = 
"CREATE TABLE IF NOT EXISTS " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_BINDCOMMERCE_TABLE_MAPPING_IMPORT_ORDERS . " (

    `mapping_order_id`                          INT                 UNSIGNED NOT NULL AUTO_INCREMENT,
    `mapping_active`                            TINYINT(1)          UNSIGNED NOT NULL DEFAULT '0',
    `id_order_state`                            VARCHAR(50)         NULL,
    `mapping_order_bindcommerce_name`           VARCHAR(255)        NOT NULL,
    `mapping_order_new_order_stock_type`        VARCHAR(50)         NULL,
    `mapping_order_update_order_stock_type`     VARCHAR(50)         NULL,
    `mapping_order_date_created`                TIMESTAMP           NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `mapping_order_date_updated`                TIMESTAMP           NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,

    PRIMARY KEY     (`mapping_order_id`), 
    UNIQUE          (`mapping_order_id`)

) " . BINDCOMMERCE_DB_CHARSET_COLLATE . ";";

require_once(ABSPATH . "wp-admin/includes/upgrade.php");
dbDelta( $sql );

return true;     

?>